# Installation

WireBootstrap for Salesforce can be downloaded from [here](https://www.wirebootstrap.com/products/salesforce.html).

## Sample Application

The download includes a Visual Studio sample project that demonstrates the different ways in which Salesforce can be used to develop applications with WireBootstrap.

![WireBootstrap for Salesforce Sample Application](/files/r1X8un4saxIspywQ1QfW)

The sample is set up to use the [`Account` ](https://developer.salesforce.com/docs/atlas.en-us.object_reference.meta/object_reference/sforce_api_objects_account.htm)object.  It also requires that the configuration for an access token be set up.  For details, visit [Access Tokens](/salesforce/access-tokens.md).

## Libraries

The WireBootstrap for Salesforce JavaScript library is in the `\lib\wire-salesforce.js` file off the root of the download.  To use the library on a page, add a reference to it *after* a reference to the [core WireBootstrap library](https://docs.wirebootstrap.com/wirebootstrap/overview).

```html

<!-- WireBootstrap Core -->
<script src="./node_modules/@wirebootstrap/wire/wire.js"></script>

<!-- WireBootstrap for Salesforce -->
<script src="./wire-salesforce.js"></script>

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wirebootstrap.com/salesforce/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
